⭐ If you find Zipline useful, please consider giving it a star on Github! ⭐

/api/user/folders

List folders for the authenticated user, optionally including files or filtering by parent/root.

GET/api/user/folders

Query Parameters

noincl?string

Value in

  • "true"
  • "false"
user?string
parentId?string
root?string

Value in

  • "true"
  • "false"

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/user/folders"
[  {    "id": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "name": "string",    "public": true,    "allowUploads": true,    "parentId": "string",    "userId": "string",    "files": [      {        "id": "string",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "deletesAt": "2019-08-24T14:15:22Z",        "name": "string",        "originalName": "string",        "size": -9007199254740991,        "type": "string",        "views": -2147483648,        "maxViews": -2147483648,        "favorite": true,        "password": true,        "anonymous": true,        "folderId": "string",        "thumbnail": {          "path": "string"        },        "tags": [          {            "id": "string",            "createdAt": "2019-08-24T14:15:22Z",            "updatedAt": "2019-08-24T14:15:22Z",            "name": "string",            "color": "string",            "files": [              {                "id": "string"              }            ]          }        ],        "url": "string",        "similarity": 0      }    ],    "parent": {      "public": true,      "id": "string",      "name": "string",      "parentId": "string",      "parent": {}    },    "children": [      {        "id": "string",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "name": "string",        "public": true,        "allowUploads": true,        "parentId": "string",        "userId": "string",        "_count": {          "children": 0,          "files": 0        }      }    ],    "_count": {      "children": 0,      "files": 0    }  }]